<?php



class DB_SUPPLIERS
{
    public $DB = false;
    public $tablename = 'suppliers';

    use BASICDB;
    public function __construct($DB = false)
    {
        if (!$DB) {
            $DB = DB();
        }
        if (!$DB) {
            return false;
        }
        if ($DB) {
            $this->DB = $DB;
        }
        if (!$this->tablename) {
            return false;
        }

    }
    function NewSupplier()
    {

        $data = [






        ];


        return $this->InsertBasicDBHashCreatedModified($data);

    }
}

class DB_SUPPLIERS_QUICK_MULTIPLESEARCH
{
    use DBClassSearch;
    public $data;

    public $tablename = 'suppliers';

    private $parentidresults = [];


    public function __construct($data = [], $likefields = [], $fieldstoselectarray = '', $orderby = '', $noindex = 0, $whereappend = ' and ', $dateonlyarray = '', $newdata = false)
    {
        return $this->initialize($data, $likefields, $fieldstoselectarray, $orderby, $noindex, $whereappend, $dateonlyarray, $newdata);
    }

    function FindName($uid)
    {
        return $this->Find($fieldname = 'uid', $contenttosearch = $uid, $exact = true)[0]['name'];
    }

}

function DB_SUPPLIERS($DB = false)
{
    return new DB_SUPPLIERS($DB);
}

function DB_SUPPLIERS_QUICK_MULTIPLESEARCH($DB = false)
{
    return new DB_SUPPLIERS_QUICK_MULTIPLESEARCH($DB);
}